Name:		shntool
Version:	3.0.10
Release:	%mkrel 12
Summary:	A multi-purpose WAVE data processing and reporting utility
License:	GPLv2+
Group:		Sound/Editors and Converters
URL:		https://etree.org/shnutils/shntool
Source0:	https://etree.org/shnutils/shntool/dist/src/%{name}-%{version}.tar.gz
Patch0:		gcc-15-fixes.patch
Recommends:	flac
Recommends:	sox
Recommends:	cuetools

%description
A multi-purpose WAVE data processing and reporting utility. File formats are
abstracted from its core, so it can process any file that contains WAVE data,
compressed or not - provided there exists a format module to handle that
particular file type.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%doc doc/*
%_bindir/shn*
%_mandir/man1/*.1.*



%changelog
* Mon May 26 2025 ns80 <ns80> 3.0.10-12.mga10
+ Revision: 2186543
- add a patch from Fedora to try to fix building with GCC 15

* Tue Mar 15 2022 umeabot <umeabot> 3.0.10-11.mga9
+ Revision: 1792322
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.0.10-10.mga8
+ Revision: 1517027
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.0.10-9.mga7
+ Revision: 1301017
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 wally <wally> 3.0.10-8.mga7
+ Revision: 1236615
- fix build on aarch64

* Sat Jan 30 2016 umeabot <umeabot> 3.0.10-7.mga6
+ Revision: 929078
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.10-6.mga5
+ Revision: 742698
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.10-5.mga5
+ Revision: 689141
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 3.0.10-4.mga4
+ Revision: 518308
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.0.10-3.mga3
+ Revision: 381978
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 3.0.10-2.mga3
+ Revision: 324471
- update RPM group

* Mon Aug 29 2011 doktor5000 <doktor5000> 3.0.10-1.mga2
+ Revision: 136246
- fixed license to GPLv2+
- cleaned spec and minor cosmetics
- imported package shntool


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.10-2mdv2011.0
+ Revision: 614863
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.0.10-1mdv2010.1
+ Revision: 541015
- fix license
- import shntool


